Bug 1422892 - fedpkg-stage: can't access koji because file /etc/koji/stg-config is missing
fedpkg-stage: can't access koji because file /etc/koji/stg-config is missing
Status: NEW
Product: Fedora
Classification: Fedora
Component: fedpkg (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: cqi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-16 08:37 EST by Tomas Tomecek
Modified: 2017-04-19 04:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2017-02-16 08:37:09 EST
Description of problem:

$ cat /etc/rpkg/fedpkg-stage.conf
...
kojiconfig = /etc/koji/stg-config
...

$ dnf repoquery --whatprovides /etc/koji/stg-config
Last metadata expiration check: 1:26:22 ago on Thu Feb 16 13:09:15 2017 CET.
$

Please provide the file.


Version-Release number of selected component (if applicable):
fedpkg-stage-1.26-6.fc26.noarch
fedpkg-1.26-4.fc26.noarch
Comment 1 Lubomír Sedlář 2017-02-16 09:09:16 EST
To fix the problem locally (until a fixed version is ready), modify /etc/rpkg/fedpkg-stage.conf and modify these two options:

kojiconfig = /etc/koji.conf.d/stg.conf
build_client = stg
Comment 2 cqi 2017-02-16 20:34:41 EST
A same issue was reported https://pagure.io/fedpkg/issue/97
Comment 3 Fedora Admin XMLRPC Client 2017-02-21 11:41:36 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2017-02-28 03:31:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2017-02-28 06:18:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.